Bug 2821 - XFree86 doesn't support all Logitech MouseMan features
Summary: XFree86 doesn't support all Logitech MouseMan features
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-14 15:48 UTC by Raul Acevedo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 20:54:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Raul Acevedo 1999-05-14 15:48:22 UTC
I have a Logitech MouseMan (PS/2 type) with wheel and a side
button.  I cannot get X to understand all of the following
features at the same time:

  * Middle mouse button (button 2); the wheel can be pushed
and used as a mouse button

  * Wheel ZAxisMapping to mouse buttons

  * Recognize the side button as another button

I can get any two of those three, but not all three, at the
same time.  I've played around quite a bit with various
protocol types (PS/2, MouseManPlusPS/2, Auto), specifying
ZAxisMapping to map to various buttons (4 & 5, 5 & 6, even 6
& 7), and explicitly saying 6 buttons with the Buttons
directive.

Anyway, the XFree86 docs say this is doable
(http://www.xfree86.org/3.3.3.1/mouse32.html), but it
doesn't really work.

Comment 1 Preston Brown 1999-06-08 16:12:59 UTC
Please see if you are actually getting and X traffic at all generated
by using the "xev" program and clicking the various non-working
buttons in the window that it shows, and seeing if you get output.

Comment 2 Raul Acevedo 1999-06-08 16:15:59 UTC
Using xev is exactly how I verified it; I would start X, then xev, see
what it reported as the various buttons, then change XF86Config, then
restart X, and so on.  I probably did this about 30 times, playing
around with various configurations.

Comment 3 Preston Brown 1999-07-15 19:10:59 UTC
Apparently the X documentation is wrong.  Hopefully this will be
corrected in XFree86 4.0.

Comment 4 Raul Acevedo 1999-07-16 14:07:59 UTC
Does the X docs being wrong mean that this capability is not fully
supported, but the docs say it is, or that the docs are incorrect
in how they specify how this capability is actually supported?

Comment 5 Preston Brown 2000-02-04 20:54:59 UTC
the capability is not fully supported at this time.


Note You need to log in before you can comment on or make changes to this bug.